<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die('Restricted access');

class AdsManagerAdsidPlugin {

	var $_db;

	public function getListDisplay($content,$field)
	{
		return AdsManagerAdsidPlugin::getDetailsDisplay($content,$field,$mode="list");
	}

	public function getDetailsDisplay($content,$field,$mode="details")
	{
		ob_start();
        ?>
            <?php echo $content->id; ?>
        <?php
        $content = ob_get_contents();
		ob_end_clean();
		return $content;
	}


	function needStorage() {
		return false;
	}

	public function getFormDisplay($content,$field,$default=null)
	{
		return '';
	}

	public function onFormSave($content,$field)
	{
		return null;
	}

	public function onDelete($directory,$contentid = -1)
	{
	}

	public function getEditFieldJavaScriptDisable()
	{
		$return = "elem=getObject('divAdsidOptions');";
        $return .= "elem.style.visibility = 'hidden';";
		$return .= "elem.style.display = 'none';";
		return $return;
	}

	public function getEditFieldJavaScriptActive()
	{
       	$return = "disableAll();";
		$return .= "elem=getObject('divAdsidOptions');";
        $return .= "elem.style.visibility = 'visible';";
        $return .= "elem.style.display = 'block';";
		return $return;
	}

	public function getEditFieldOptions($fieldid)
	{
		$this->install();
		$this->_db->setQuery("SELECT * FROM #__adsmanager_fields WHERE fieldid = '$fieldid'");
		$row = $this->_db->loadObject();
        if($row != null)
            $rowOptions = json_decode($row->options);

		$return = "<div id='divAdsidOptions'>";
		$return .= "<table class='adminform'>";
		$return .= "</table>";
		$return .= "</div>";
		return $return;
	}

	public function saveFieldOptions($field)
	{
        $options = array();
        return $options;
	}

	public function getFieldName()
	{
		return "Adsid";
	}

	public function install()
	{
	}

	public function uninstall()
	{	
	}

	public function __construct()
	{
		$db	= JFactory::getDBO();
		$this->_db = $db;
	}
}
require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");
$plugins["adsid"] = new AdsManagerAdsidPlugin(); 