<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();
?>
<br />
<style>
    .fieldsarea {
	  border: 1px solid #CBCBCB;
	  font-size: 12px !important;
	  margin-top: 30px;
	  padding: 15px 5px 5px;
	}
	.fieldsarea .title {
		background-color: #EDEDED;
		border: 1px solid #CBCBCB;
		font-weight: bold;
		position: relative;
		margin-top: -30px;
		display: block;
		margin-bottom: 12px;
		padding: 4px 8px;
	}
	.connectedSortable {
	  background-color: #EEDDFF;
	  list-style-type: none;
	  margin: 10px 0 0;
	  min-height: 50px;
	  padding: 5px;
	}
	.connectedSortable li { 
		margin: 0 5px 5px 5px; padding: 5px; font-size: 10px; 
	}
	.column { float:left;width:20%;}
	.mainarea { float:left;width:80%; padding-left: 60px;}
	.column h2 { text-align:center;}
	.ui-state-highlight { height: 1.5em; line-height: 1.2em; }
</style>
<form action="index.php" method="post" name="adminForm" id="adminForm">
 <p><?php echo JText::_('ADSMANAGER_COLUMN_EXPLICATION'); ?></p>
<div>
	<div class="column">
		<h2>All Fields</h2>
		<ul id="fields" class="connectedSortable">
		<?php foreach($this->fields as $field) {?>
		<li class='ui-state-default' id="<?php echo $field->fieldid?>"><?php echo JText::_($field->title)." (".$field->name." ".$field->fieldid.")" ?></li>
		<?php } ?>
		</ul>
	</div>
	<div class="mainarea">
	<div class="adminlist table table-striped">
	<div class="row">
	<?php
	for($i=0,$nb=count($this->columns);$i < $nb ;$i++) {
	?>
		<div class="col">
		<div class="fieldsarea">

				<span class="title"><?php echo htmlspecialchars($this->columns[$i]->name) ?></span>
				<div class="row">
					<div class="col col-auto">
					<input class="form-check-input" type="checkbox" id="cb<?php echo $i;?>" name="cid[]" value="<?php echo $this->columns[$i]->id; ?>" onclick="isChecked(this.checked);" />
					</div>
					<div class="col">
					<input class="form-control" type="text" size="35" id="title_column_<?php echo $this->columns[$i]->id?>" name="title_column_<?php echo $this->columns[$i]->id?>" value="<?php echo htmlspecialchars($this->columns[$i]->name) ?>" />
					</div>
				</div>
				<ul id="fields_<?php echo $this->columns[$i]->id?>" class="connectedSortable"></ul>
				<input type="hidden" id="listfields_<?php echo $this->columns[$i]->id?>" name="listfields_<?php echo $this->columns[$i]->id?>" />
			</div>
	</div>
	<?php
	}
	?>
	</div>
</div>
	</div>
</div>

<input type="hidden" name="option" value="com_adsmanager" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="c" value="columns" />
<input type="hidden" name="boxchecked" value="0" />
</form> 
<?php
	$script = '
		jQ(function() {
			jQ( "#fields" ).sortable({
					connectWith: ".connectedSortable",
					placeholder: "ui-state-highlight",
				}).disableSelection();
				jQ( ".fieldsarea .connectedSortable" ).sortable({
					connectWith: ".connectedSortable",
					placeholder: "ui-state-highlight",
					update: function() {
						list = jQ(this).sortable("toArray");
						jQ(this).next().val(list.join(\',\'));
					}
				}).disableSelection();
	';

	$appendScript = '';
	foreach($this->fColumns as $key => $fields) {		
		foreach($fields as $f) {
				$appendScript .= 'jQ("#'.$f->fieldid.'").appendTo("#fields_'.$key.'");'."\n";
		}

		$appendScript .= '
				list = jQ("#fields_'.$key.'").sortable("toArray");
				jQ("#listfields_'.$key.'").val(list.join(\',\'));'."\n";
	} 

	$appendScript .= '});';

	$script .= $appendScript;
	
	JFactory::getApplication()->getDocument()->addScriptDeclaration($script);