<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();

use Joomla\CMS\Date\Date;

$script = "
function CaracMax(text, max)
{
	if (text.value.length >= max)
	{
		text.value = text.value.substr(0, max - 1) ;
	}
}

Joomla.submitbutton = function(pressbutton) {
	if (pressbutton == 'cancel') {
		Joomla.submitform(pressbutton);
		return;
	}
	var form = document.adminForm;
	var iserror = 0;
	var errorMSG = '';";

	if ($this->nbcats > 1) {
		$script .= "var srcList = eval( 'form.selected_cats' );
		var srcLen = srcList.length;

		if (srcLen == 0)
		{
			errorMSG += '".json_encode(JText::_('ADSMANAGER_FORM_CATEGORY'))."'+\" : \"+'".json_encode(JText::_('ADSMANAGER_REGWARN_ERROR'))."';
			srcList.style.background = \"red\";
			iserror=1;
		}
		else
		{
			for (var i=0; i < srcLen; i++) {
				srcList.options[i].selected = true;
			}
		}";
	} else {
		$script .= "var catid = jQ('#categoryselect').val();

			if(catid == 0) {
				errorMSG += '".json_encode(JText::_('ADSMANAGER_FORM_CATEGORY'))."'+\" : \"+'".json_encode(JText::_('ADSMANAGER_REGWARN_ERROR'))."';
				jQ('.categoryselect_cascade').css( \"background\", \"red\");
				iserror=1;
			}";

	}

	$script .= "if(iserror==1) {
			alert(errorMSG);
		} else {";

			if (function_exists("loadEditFormCheck")) {
				ob_start();
				loadEditFormCheck("admin");
				$editFormCheck = ob_get_clean();
				$script .= $editFormCheck;
			}

			if ($this->nbcats > 1) {
				$script .= "srcList.name = \"selected_cats[]\"";
			}

			$script .= "Joomla.submitform(pressbutton);
		}
	}

function updateFields() {
	var form = document.adminForm;
	var singlecat = 0;
	var length = 0;

	if ( typeof(document.adminForm.category ) != \"undefined\" ) {
		singlecat = 1;
		length = 1;
	}
	else if ( typeof(document.adminForm.selected_cats ) != \"undefined\" )
	{
		length = form.selected_cats.length;
	} else {
		length = 1;
	}";

$appendScript = '';
foreach($this->fields as $field)
{
	if (strpos($field->catsid, ",-1,") === false)
	{
		$name = $field->name;
		if (($field->type == "multicheckbox")||($field->type == "multiselect"))
			$name .= "[]";

		$appendScript .= "
		var input = document.getElementById('".$name."');
		var trzone = document.getElementById('tr_".$field->name."');
		if (((singlecat == 0)&&(length == 0))||
				((singlecat == 1)&&(document.adminForm.category.value == 0)))
		{
			if (input != null)
				input.style.visibility = 'hidden';
			trzone.style.visibility = 'hidden';
			trzone.style.display = 'none';
		}
		else
		{
			for (var i=0; i < length; i++) {


				var field_".$field->name." = '".$field->catsid."';
				var temp;
				if (singlecat == 0)
					temp = form.selected_cats.options[i].value;
				else
					temp = document.adminForm.category.value;

				var test = field_".$field->name.".indexOf( \",\"+temp+\",\", 0 );
				if (test != -1)
				{
					if (input != null)
						input.style.visibility = 'visible';
					trzone.style.visibility = 'visible';
					trzone.style.display = '';
					break;
				}
				else
				{
					if (input != null)
						input.style.visibility = 'hidden';
					trzone.style.visibility = 'hidden';
					trzone.style.display = 'none';
				}
			}
		}";
	}
}

$script .= $appendScript;

$script .= "}";

	JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
?>
<form action="index.php" method="post" name="adminForm" id="adminForm" class="adminForm" enctype="multipart/form-data">
<div class="adminlist">
<div class="mb-3 row">
<div class="col"><?php echo JText::_('ADSMANAGER_FORM_CATEGORY');?></div>
<div class="col col-8">
<?php
if ($this->nbcats == 1)
{
	$without_page_reload = 0;

	if ($this->catid != 0)
		$catid = $this->catid;
	else if (isset($this->content->cats[0]))
		$catid = $this->content->cats[0]->catid;
	else
		$catid = 0;
	if ($without_page_reload == 1) {
		$selectid = "category";
	} else {
		$selectid = "categoryselect";
	}
	switch($this->conf->single_category_selection_type) {
		default:
		case 'normal':
			JHTMLAdsmanagerCategory::displayNormalCategories($selectid,$this->cats,$catid,array("root_allowed"=>$this->conf->root_allowed,"display_price"=>true));break;
		case 'color':
			JHTMLAdsmanagerCategory::displayColorCategories($selectid,$this->cats,$catid,array("root_allowed"=>$this->conf->root_allowed));break;
		case 'combobox':
			JHTMLAdsmanagerCategory::displayComboboxCategories($selectid,$this->cats,$catid,array("root_allowed"=>$this->conf->root_allowed));break;
			break;
		case 'cascade':
			$separator = "<br/>";
			JHTMLAdsmanagerCategory::displaySplitCategories($selectid,$this->cats,$catid,array("root_allowed"=>$this->conf->root_allowed));break;
	}
	?>
	</div></div></div>
	<?php if (@$this->content->id) {
			$write_url = 'index.php?option=com_adsmanager&c=contents&task=edit&id='.$this->content->id;
		} else {
			$write_url = 'index.php?option=com_adsmanager&c=contents&task=edit';
		}?>
	<?php

		$script = '
		jQ(document).ready(function() {
			jQ(\'#categoryselect\').change(function() {
				if (jQ(this).val() != "") {
					location.href = "'.$write_url.'&catid="+jQ(this).val();
				}
			});
		});';

		JFactory::getApplication()->getDocument()->addScriptDeclaration($script);

		if ($without_page_reload == 0) {
			echo "<input class='form-control' type='hidden' name='category' value='$catid' />";
		}
	?><div>
	<?php

}
else
{
	?>
	</div></div></div>
	<form action="index.php" method="post" name="adminForm" id="adminForm" class="adminForm" enctype="multipart/form-data">
	<div><div class="mb-3 row"><div class="col">
	<?php
	if (isset($this->content->catsid)) {
		$catids = $this->content->catsid;
	} else {
		$catids = array();
	}
	JHTMLAdsmanagerCategory::displayMultipleCategories("cats",$this->cats,$catids,array("root_allowed"=>$this->conf->root_allowed),$this->nbcats);

}
?>
<?php if (isset($this->content->userid)) { $userid = $this->content->userid; } else { $userid = $this->userid; } ?>

<div class="mb-3 row">
<div class="col"><?php echo JText::_('ADSMANAGER_TH_USER'); ?></div>
<div class="col col-8">
<select class="form-select" name="userid" id="userid">
<option value=""></option>
<?php foreach($this->users as $user) { ?>
<option value="<?php echo $user->id;?>" <?php if ($user->id == $userid) { echo "selected"; } ?>><?php echo $user->name.' ('.$user->username.')'; ?></option>
<?php } ?>
</select>
</div>

</div>


<div class="mb-3 row">
<div class="col"><?php echo JText::_('ADSMANAGER_TH_DATE'); ?></div>
<div class="col col-8">
<?php
if (!isset($this->content->id))
	$created_date = date("Y-m-d");
else
	$created_date = $this->content->date_created;
$time = date('H:i:s',strtotime($created_date));
echo JHTML::_('calendar', $created_date, "date_created", "date_created", "%Y-%m-%d $time", null); ?>
</div>

</div>

<?php
if (!isset($this->content->id))
	$expiration_date =  date("Y-m-d",time() + $this->conf->ad_duration * 3600 * 24);
else
	$expiration_date = $this->content->expiration_date;
?>
<div class="mb-3 row">
<div class="col"><?php echo JText::_('ADSMANAGER_TH_EXPIRATION_DATE'); ?></div>
<div class="col col-8">
<?php echo JHTML::_('calendar', $expiration_date, "expiration_date", "expiration_date", "%Y-%m-%d", null); ?>
</div>

</div>


<?php
foreach($this->fields as $field)
{
	$fieldform = $this->field->showFieldForm($field,$this->content,$this->default);
	if ($fieldform != null) {
		echo "<div class='mb-3 row' id=\"tr_{$field->name}\">
		<div class='col'>".$this->field->showFieldLabel($field,$this->content,$this->default)."</div>";
		echo "<div class='col col-8'>".$fieldform."</div></div>";
	}
}
?>

<!-- fields -->
<!-- image -->
<div class="mb-3 row">
	<div class="col"><?php echo JText::_('Pictures')?></div>
	<div class="col col-8" id="uploader_td">
	<?php echo TImage::displayImageUploader($this->conf,$this->content,$this->adext);?>
	<?php
	if (PAIDSYSTEM) {
		$paidconfig = getPaidSystemConfig();
		if (isset($paidconfig->enable_image_pack) && $paidconfig->enable_image_pack == 1) {
		 ?>
		<input type="checkbox" id="images_pack" value="1" <?php if (@$this->adext->images == 1) echo "checked" ?> name="images_pack" />
		<span class="option_photo"><?php echo sprintf(JText::_('PAIDSYSTEM_IMAGE_PACK_NB_IMAGES'),$paidconfig->num_images,getPrice($paidconfig->image_price))?></span>
		<?php
			$maximages = $this->conf->nb_images+$paidconfig->num_images;

			$script = '
			function updateImagesPackPrice() {
				if(jQ(\'#images_pack\').is(\':checked\')) {
					jQ(\'#totalcount\').html(\''.$maximages.'\');
					max_total_file_count = '.$maximages.';
				} else {
					jQ(\'#totalcount\').html(\''.$this->conf->nb_images.'\');
					max_total_file_count = '.$this->conf->nb_images.';
				}
			}

			jQ(\'#images_pack\').click(function () {
				updateImagesPackPrice();
			});
			updateImagesPackPrice();';

			JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
		?>
	<?php
		}
	} ?>
	</div>
	
</div>

<div class="mb-3 row">
<div class="col"><?php echo JText::_('ADSMANAGER_TH_PUBLISH'); ?></div>
<div class="col col-8">
<select class="form-select" name="published" id="published">
<option value="1" <?php if (@$this->content->published == 1) { echo "selected"; } ?>><?php echo JText::_('ADSMANAGER_PUBLISH'); ?></option>
<option value="0" <?php if (@$this->content->published == 0) { echo "selected"; } ?>><?php echo JText::_('ADSMANAGER_NO_PUBLISH'); ?></option>
</select>
</div>

</div>


<?php if (($this->conf->metadata_mode != 'nometadata')&&
		  ($this->conf->metadata_mode != 'automatic')) { ?>
<div class="mb-3 row"><div class="col"><strong><?php echo JText::_('ADSMANAGER_METADATA')?></strong></div></div>
<div class="mb-3 row">
<div class="col"><?php echo JText::_('ADSMANAGER_METADATA_DESCRIPTION'); ?></div>
<div class="col col-8">
<textarea cols="50" rows="10" name="metadata_description"><?php echo htmlspecialchars(@$this->content->metadata_description)?></textarea>
</div>
</div>

<div class="mb-3 row">
<div class="col"><?php echo JText::_('ADSMANAGER_METADATA_KEYWORDS'); ?></div>
<div class="col col-8">
<textarea cols="50" rows="10" name="metadata_keywords"><?php echo htmlspecialchars(@$this->content->metadata_keywords)?></textarea>
</div>
</div>

<?php } ?>

<?php
if (function_exists("editAdminPaidAd")){
	editAdminPaidAd($this->content,$this->isUpdateMode,$this->conf);
}?>
<?php
    if(isset($this->conf->publication_date) && $this->conf->publication_date == 1) {
?>
<div class="mb-3 row">
<div class="col"><?php echo JText::_('ADSMANAGER_PUBLICATION_DATE'); ?></div>
<div class="col col-8">
    <?php
        if (isset($this->content->publication_date) && $this->content->publication_date != '0000-00-00 00:00:00'){
            $publication_date = $this->content->publication_date;
        }else{
            $publication_date = "";
        }

        $options = array();
        $options['size'] = 25;
        $options['maxlength'] = 19;
        $options['class'] = 'adsmanager_required';
        $options['mosReq'] = '1';
        $options['mosLabel'] = htmlspecialchars(JText::_('ADSMANAGER_PUBLICATION_DATE'));
        $return = JHTML::_('calendar', $publication_date, "publication_date", "publication_date", '%Y-%m-%d', $options);
//      $return .= "<script type='text/javascript'>jQ(document).ready(function() {jQ('#publication_date').val(".json_encode($publication_date).");});</script>";

        echo $return;
    ?>
</div>
</div>
<?php } ?>
</div>
<input type="hidden" name="id" value="<?php echo @$this->content->id; ?>" />
<input type="hidden" name="option" value="com_adsmanager" />
<input type="hidden" name="c" value="contents" />
<input type="hidden" name="task" value="" />
</form>
<?php
	$script = "
	function checkdependency(child,parentname,parentvalues) {
	//Simple checkbox
	if (jQ('input[name=\"'+parentname+'\"]').is(':checkbox')) {
		//alert(\"test\");
		if (jQ('input[name=\"'+parentname+'\"]').is(':checked')) {
			jQ('#adminForm #f'+child).show();
			jQ('#adminForm #tr_'+child).show();
		}
		else {
			jQ('#adminForm #f'+child).hide();
			jQ('#adminForm #tr_'+child).hide();

			//cleanup child field
			if (jQ('#adminForm #f'+child).is(':checkbox') || jQ('#adminForm #f'+child).is(':radio')) {
				jQ('#adminForm #f'+child).attr('checked', false);
			}
			else {
				jQ('#adminForm #f'+child).val = '';
			}
		}
	}
	//If checkboxes or radio buttons, special treatment
	else if (jQ('input[name=\"'+parentname+'\"]').is(':radio')  || jQ('input[name=\"'+parentname+'[]\"]').is(':checkbox')) {
		var find = false;
		var allVals = [];
		jQ(\"input:checked\").each(function() {
			for(var i = 0; i < parentvalues.length; i++) {
				if (jQ(this).val() == parentvalues[i] && find == false) {
					jQ('#adminForm #f'+child).show();
					jQ('#adminForm #tr_'+child).show();
					find = true;
				}
			}
		});

		if (find == false) {
			jQ('#adminForm #f'+child).hide();
			jQ('#adminForm #tr_'+child).hide();

			//cleanup child field
			if (jQ('#adminForm #f'+child).is(':checkbox') || jQ('#adminForm #f'+child).is(':radio')) {
				jQ('#adminForm #f'+child).attr('checked', false);
			}
			else {
				jQ('#adminForm #f'+child).val = '';
			}
		}

	}
	//simple text
	else  {
		var find = false;

		//cleanup child field
		for(var i = 0; i < parentvalues.length; i++) {
			if (jQ('#adminForm #f'+parentname).val() == parentvalues[i] && find == false) {
				jQ('#adminForm #f'+child).show();
				jQ('#adminForm #tr_'+child).show();
				find = true;
			}
		}
		if(find == false) {
			jQ('#adminForm #f'+child).hide();
			jQ('#adminForm #tr_'+child).hide();

			//cleanup child field
			if (jQ('#adminForm #f'+child).is(':checkbox') || jQ('#adminForm #f'+child).is(':radio')) {
				jQ('#adminForm #f'+child).attr('checked', false);
			}
			else {
				jQ('#adminForm #f'+child).val = '';
			}
		}
	}
}
function dependency(child,parentname,parentvalue) {
	var parentvalues = parentvalue.split(\",\");
	//if checkboxes
	jQ('input[name=\"'+parentname+'[]\"]').change(function() {
		checkdependency(child,parentname,parentvalues);
	});
	//if buttons radio
	jQ('input[name=\"'+parentname+'\"]').change(function() {
		checkdependency(child,parentname,parentvalues);
	});
	jQ('#f'+parentname).change(function() {
		checkdependency(child,parentname,parentvalues);
	});
	checkdependency(child,parentname,parentvalues);
}

jQ(document).ready(function() {";

$appendScript = "";
foreach($this->fields as $field) {
	if (@$field->options->is_conditional_field == 1) {
		$appendScript .= "dependency('".$field->name."',
						'".$field->options->conditional_parent_name."',
						'".$field->options->conditional_parent_value."');"."\n";
	}
}

$script .= $appendScript;

	$script .= "updateFields();
});";

	JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
?>