<?php

/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
?>
<div class="juloawrapper">
    <script type="text/javascript">
        function tableOrdering(order, dir, task) {
            var form = document.adminForm;

            form.filter_order.value = order;
            form.filter_order_Dir.value = dir;
            document.adminForm.submit(task);
        }
    </script>
    <?php
    $conf = $this->conf;

    ?>
    <div class="row-fluid">
        <div class="span12">
            <?php $this->general->showGeneralLink() ?>
        </div>
    </div>
 
    <?php if ($conf->display_inner_pathway == 1) { ?>
        <div class="breadcrumb mb-3 shadow-sm">
            <?php
            $pathway = "";
            $nb = count($this->pathlist);
            for ($i = $nb - 1; $i > 0; $i--) {
                $pathway .= '<a href="' . $this->pathlist[$i]->link . '">' . $this->pathlist[$i]->text . '</a>';
                $pathway .= ' <span class="icon icon-angle-right ms-2 me-2"></span> ';
            }
            if (isset($this->pathlist[0]))
                $pathway .= '<a href="' . $this->pathlist[0]->link . '">' . $this->pathlist[0]->text . '</a>';
            echo '<div class="span12">' . $pathway . '</div>';
            ?>
        </div>
    <?php } ?>

    <div class="row-fluid">
        <div class="span12">
            <h2 class="mb-4">
                    <?php
                    if ($this->list_img != "") {
                        //        if($this->list_img_default) {
                        //            echo '<i class="icon-th-list"></i>';
                        //        } else {
                        echo '<div class="imgheading-box bg-light float-start"><img  class="imgheading" src="' . $this->list_img . '" alt="' . $this->list_img . '" /></div>';
                        //        }
                    }
                    echo JText::_($this->list_name);
                    if ($this->conf->show_rss == 1) {
                        if (isset($this->listuser)) {
                            $linkrss = TRoute::_("index.php?option=com_adsmanager&view=list&format=feed&user=" . $this->listuser);
                        } else {
                            $linkrss = TRoute::_("index.php?option=com_adsmanager&view=list&format=feed&catid=" . $this->catid);
                        }
                        echo '<a href="' . $linkrss . '" target="_blank"><img class="feed imgheading" src="' . getImagePath('rss.png') . '" alt="rss" /></a>';
                    }
                    ?>
            </h2>
       </div>
    </div>
    <div class="row-fluid ads-cats mb-2">
        <div class="adsmanager-cats span12">
            <?php foreach ($this->subcats as $key => $subcat) : ?>
                <?php $subcat->link = TRoute::_('index.php?option=com_adsmanager&view=list&catid=' . $subcat->id); ?>
                <?php echo '<a class="btn btn-primary font-weight-bold mr-1 mb-2" href="' . $subcat->link . '">' . $subcat->name . '</a>'; ?>
            <?php endforeach; ?>
        </div>
    </div>

    <div class="row-fluid">
        <div class="span12">
        <?php echo JText::_($this->list_description); ?>
        </div>
    </div>
    <script type="text/JavaScript">
        function jumpmenu(target,obj){
  eval(target+".location='"+obj.options[obj.selectedIndex].value+"'");	
  obj.options[obj.selectedIndex].innerHTML="<?php echo JText::_('ADSMANAGER_WAIT'); ?>";			
}		

jQ(function() {
	jQ('#order').change(function() {
		order = jQ(this).val();
		orderdir = jQ(":selected",this).attr('dir');
        posLat = jQ("#posLat").val();
		posLon = jQ("#posLon").val();
		var form= document.createElement('form');
        form.method= 'post';
        <?php if ($this->catid != 0) { ?>
        form.action= '<?php echo TRoute::_("index.php?option=com_adsmanager&view=list&catid=" . $this->catid) ?>';  
		<?php } else if ($this->modeuser == 1) {
            $userurl = TLink::getUserAdsLink($this->listuser);
        ?>
		form.action= '<?php echo $userurl ?>';   
		<?php } else { ?>
		form.action= '<?php echo TRoute::_("index.php?option=com_adsmanager&view=list") ?>';  
		<?php } ?>  
        var input= document.createElement('input');
        input.type= 'hidden';
        input.name= "order";
        input.value= order;
        form.appendChild(input);
        var input2= document.createElement('input');
        input2.type= 'hidden';
        input2.name= "orderdir";
        input2.value= orderdir;
        form.appendChild(input2);
		var input3= document.createElement('input');
        input3.type= 'hidden';
        input3.name= "posLat";
        input3.value= posLat;
		form.appendChild(input3);
		var input4= document.createElement('input');
        input4.type= 'hidden';
        input4.name= "posLon";
        input4.value= posLon;
        form.appendChild(input4);
    	document.body.appendChild(form);
    	form.submit();
	});
});
</script>

    <?php if (($conf->display_list_sort == 1) || ($conf->display_list_search == 1)) { ?>
        <div class="row-fluid ads-fields">
            <div class="span12">
           
            <div class="row">
                <?php if ($conf->display_list_search == 1) { ?>
                    <div class="col">
                        <?php if ($this->catid != 0) { ?>
                            <form action="<?php echo TRoute::_('index.php?option=com_adsmanager&view=list&catid=' . $this->catid) ?>" method="post">
                            <?php } else if ($this->modeuser == 1) {
                            $userurl = TLink::getUserAdsLink($this->listuser);
                            ?>
                                <form action="<?php echo $userurl ?>" method="post">
                                <?php } else { ?>
                                    <form action="<?php echo TRoute::_('index.php?option=com_adsmanager&view=list') ?>" method="post">
                                    <?php } ?>
                                    <div class="row">
                                        <div class="col">
                                            <input class="form-control" name="tsearch" id="tsearch" placeholder="<?php echo JText::_('ADSMANAGER_LIST_SEARCH'); ?>" maxlength="20" alt="search" type="text" size="20" value="<?php echo $this->tsearch; ?>" onblur="if(this.value=='') this.value='';" onfocus="if(this.value=='<?php echo $this->tsearch; ?>') this.value='';" />
                                        </div>
                                        <div class="col col-auto">
                                            <a class="btn btn-outline-success" href="<?php echo TRoute::_("index.php?option=com_adsmanager&view=search&catid=" . $this->catid); ?>"><span class="icon icon-search"></span> <?php echo JText::_('ADSMANAGER_ADVANCED_SEARCH'); ?></a>
                                        </div>
                                    </div>
                                                           
                                    </form>
                    </div>
                <?php } ?>
                <?php if ($conf->display_list_sort == 1) { ?>
                    <?php
                    if (($this->catid != 0) && ($this->catid != -1)) {
                        $urloptions = "&catid=" . $this->catid;
                    } else if ($this->modeuser == 1) {
                        $urloptions = "&user=" . $this->listuser;
                    } else {
                        $urloptions = "";
                    } ?>
                    <?php if (isset($this->orders)) { ?>
                        <div id="infoposition" style="display: none;color: red;font-weight: bold"></div>
                        <div class="col col-auto text-right">
                
                                    <?php// echo JText::_('ADSMANAGER_ORDER_BY_TEXT'); ?>
                                    <select class="form-select" name="order" size="1" id="order">
                                        <option value="0" dir="DESC" <?php if ($this->order == "0") { echo "selected='selected'"; } ?>><?php echo JText::_('ADSMANAGER_DATE'); ?></option>
                                        <?php if($this->geolocalisationEnabled) { ?>
                                            <option value="-1" dir="ASC" <?php if ($this->order == "-1") { echo "selected='selected'"; } ?>><?php echo JText::_('ADSMANAGER_ORDER_BY_PROXIMITY'); ?></option>
                                        <?php } ?>
                                            <?php foreach ($this->orders as $o) {
                                            ?>
                                                <option value="<?php echo $o->fieldid ?>" dir="DESC" <?php if (($this->orderdir == "DESC") && ($this->order == $o->fieldid)) {
                                                                                                            echo "selected='selected'";
                                                                                                        } ?>><?php echo sprintf(JText::_('ADSMANAGER_ORDER_BY_DESC'), JText::_($o->title)) ?></option>
                                                <option value="<?php echo $o->fieldid ?>" dir="ASC" <?php if (($this->orderdir == "ASC") && ($this->order == $o->fieldid)) {
                                                                                                        echo "selected='selected'";
                                                                                                    } ?>><?php echo sprintf(JText::_('ADSMANAGER_ORDER_BY_ASC'), JText::_($o->title)) ?></option>
                                            <?php
                                            }
                                            ?>
                                    </select>
                                    <input type="hidden" name="posLat" id="posLat" value="0" />
                                    <input type="hidden" name="posLon" id="posLon" value="0" />
                         
                     
                        </div>
                    <?php } ?>
                <?php } ?>
            </div>
        </div>
        </div>
    <?php } ?>
  
    <?php
    if ($this->pagination->total == 0) {
        echo JText::_('ADSMANAGER_NOENTRIES');
    } else {
        if(@$conf->display_map_list == 1){
            $gmapModule = TTools::loadModule('mod_adsmanager_adsmap', $conf->display_map_name_module, 'none', true);
            $isGmapError = false;
            if($gmapModule !== false) {
                echo $gmapModule;
            } else {
                $isGmapError = true;
            }
    
            $openmapModule = TTools::loadModule('mod_adsmanager_adsopenmap', $conf->display_map_name_module, 'none', true);
            $isOpenmapError = false;
            if($openmapModule !== false) {
                echo $openmapModule;
            } else {
                $isOpenmapError = true;
            }
    
            if($isGmapError && $isOpenmapError) {
                echo '<p>'.JText::_('ADSMANAGER_MAP_ERROR').'</p>';
            }
        }
    ?>
        <form name="adminForm" id="adminForm" method="post" action="<?php echo $this->requestURL; ?>">
            <input type="hidden" id="mode" name="mode" value="<?php echo $this->mode ?>" />
        </form>
        <?php
            if ($this->mode == 0) {
                echo $this->loadTemplate('list');
            } elseif ($this->mode == 1) {
                echo $this->loadTemplate('expand');
            } elseif ($this->mode == 2) {
                echo $this->loadTemplate('grid');
            }
        ?>
        <div class="row-fluid">
            <div class="span12 paginationblock">
                <?php echo $this->pagination->getPagesLinks(); ?>
            </div>
        </div>
        <div class="row-fluid">
            <div class="span6"><?php echo $this->pagination->getResultsCounter(); ?></div>
            <?php if ($this->conf->display_expand == 2) { ?>
                <script type="text/javascript">
                    function changeMode(mode) {
                        element = document.getElementById("mode");
                        element.value = mode;
                        form = document.getElementById("adminForm");
                        form.submit();
                    }
                </script>
                <div class="span6 text-right">
                    <div class="btn-group float-end" role="group">
                        <button onClick="javascript:changeMode(0)" type="button" class="btn btn-outline-primary">
                            <?php echo JText::_('ADSMANAGER_MODE_TEXT') . " " . JText::_('ADSMANAGER_SHORT_TEXT');?>
                        </button>
                        <button onClick="javascript:changeMode(1)" type="button" class="btn btn-outline-primary">
                            <?php echo JText::_('ADSMANAGER_EXPAND_TEXT');?>
                        </button>
                        <button onClick="javascript:changeMode(2)" type="button" class="btn btn-outline-primary">
                            <?php echo JText::_('ADSMANAGER_GRID_TEXT');?>
                        </button>
                    </div>

                </div>
            <?php } ?>
        </div>
        <script type="text/JavaScript">
            <?php if($this->geolocalisationEnabled) { ?>
                function HereIAm(position) {
                    document.getElementById("posLat").value = position.coords.latitude;
                    document.getElementById("posLon").value = position.coords.longitude;
                }
                function locateError(error) {
                    let info = "<?php echo JText::_('ADSMANAGER_GEOLOCATION_ERROR'); ?>";
                    switch(error.code) {
                        case error.TIMEOUT:
                            info += "<?php echo JText::_('ADSMANAGER_GEOLOCATION_ERROR_TIMEDOUT'); ?>";
                            break;
                        case error.PERMISSION_DENIED:
                            console.log("<?php echo JText::_('ADSMANAGER_GEOLOCATION_ERROR_NOT_ALLOWED_BY_USER'); ?>");
                            info = '';
                            break;
                        case error.POSITION_UNAVAILABLE:
                            info += "<?php echo JText::_('ADSMANAGER_GEOLOCATION_ERROR_LOCATION_NOT_AVAILABLE'); ?>";
                            break;
                        case error.UNKNOWN_ERROR:
                            info += "<?php echo JText::_('ADSMANAGER_GEOLOCATION_ERROR_UNKNOW_ERROR'); ?>";
                            break;
                    }
                    if(info != '') {
                        document.getElementById("infoposition").innerHTML = info;
                        document.getElementById("infoposition").style.display = "block";
                    }
                }
                if(navigator.geolocation) {
                    // API available
                    navigator.geolocation.getCurrentPosition(HereIAm, locateError,{maximumAge:60000});
                } else {
                    // No geolocation support
                    console.log("<?php echo JText::_('ADSMANAGER_GEOLOCATION_ERROR_NOT_SUPPORTED'); ?>");
                }
            <?php } ?>
            jQ(function() {
            function toggleIcon(element){
                if (jQ(element).hasClass('text-secondary')) {
                    jQ(element).removeClass('text-secondary');
                    jQ(element).addClass('text-danger');
                }else {
                    jQ(element).removeClass('text-danger');
                    jQ(element).addClass('text-secondary');
                }
            }

            jQ('.favorite_ads span').mouseenter(function() {
                toggleIcon(this);
            });
            jQ('.favorite_ads span').mouseleave(function() {
                toggleIcon(this);
            });

            jQ('.favorite_ads').click(function() {
                var favoriteId = this.getAttribute( "id" );
                favoriteId = favoriteId.split('like_');
                var adId = favoriteId[1];
                var id = '#like_'+adId;
                if(jQ(id).hasClass("like_active")) {
                    jQ.ajax({ url: <?php echo  json_encode(JRoute::_('index.php?option=com_adsmanager&task=deletefavorite&mode=1')) ?>,
                        data: {adId: adId},
                        type: 'post',
                        success: function(result) {
                            if(result == 1){
                                jQ(id).removeClass("like_active");
                                jQ(id + ' span').removeClass('text-danger');
                                jQ(id + ' span').addClass('text-secondary');
                            } else if(result == 2) {
                                <?php if (COMMUNITY_BUILDER) : ?>
                                window.location.replace(<?php echo  json_encode(JRoute::_('index.php?option=com_comprofiler&task=login')); ?>);
                                <?php else : ?>
                                window.location.replace(<?php echo  json_encode(JRoute::_('index.php?option=com_users&view=login')); ?>);
                                <?php endif; ?>
                            } else if(result == 3) {
                                alert('<?php echo addslashes(JText::_('ADSMANAGER_CONTENT_FAVORITE_NO_AD_SELECTED')); ?>');
                            }
                        }
                    });
                } else {
                    jQ.ajax({ url: <?php echo json_encode(JRoute::_('index.php?option=com_adsmanager&task=favorite')) ?>,
                        data: {adId: adId},
                        type: 'post',
                        success: function(result) {
                            if(result == 1){
                                jQ(id).addClass("like_active");
                                jQ(id + ' span').removeClass('text-secondary');
                                jQ(id + ' span').addClass('text-danger');
                            } else if(result == 2) {
                                <?php if (COMMUNITY_BUILDER) : ?>
                                window.location.replace(<?php echo  json_encode(JRoute::_('index.php?option=com_comprofiler&task=login')); ?>);
                                <?php else : ?>
                                window.location.replace(<?php echo  json_encode(JRoute::_('index.php?option=com_users&view=login')); ?>);
                                <?php endif; ?>
                            } else if(result == 3) {
                                alert('<?php echo addslashes(JText::_('ADSMANAGER_CONTENT_FAVORITE_NO_AD_SELECTED')); ?>');
                            } else {
                                alert('<?php echo addslashes(JText::_('ADSMANAGER_CONTENT_FAVORITE_ALREADY_EXIST')); ?>');
                            }
                        }
                    });
                }
                return false;
            });
        });
    </script>
    <?php
    }
    $this->general->endTemplate();
    ?>
</div>