<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.model');

/**
 * @package		Joomla
 * @subpackage	Contact
 */
class AdsmanagerModelCron extends TModel
{
	var $_conf;
	
	function getLastCronTime() {
		$this->_db->setQuery( "CREATE TABLE IF NOT EXISTS #__adsmanager_cron (last_time datetime default NULL)");
		$this->_db->execute();
		
		$this->_db->setQuery( "SELECT last_time FROM #__adsmanager_cron");
		$time = $this->_db->loadResult();
		if ($time == false) {
			$time = time();
			$this->saveCronTime($time);
		} else {
			$time = strtotime($time);
		}
		return $time;
	}

	function saveCronTime($time) {
		$date = date('Y-m-d H:i:s',$time);
		$this->_db->setQuery( "UPDATE #__adsmanager_cron SET last_time = ".$this->_db->Quote($date));
		$this->_db->execute();
	}
}
