<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();
//include (JPATH_ROOT.'/libraries/joomla/html/html/access.php');
include_once (JPATH_ROOT.'/components/com_adsmanager/helpers/usergroups.php');
?>
<?php
	$script = '
	Joomla.submitbutton = function(pressbutton) {
    ';

    $editor = JEditor::getInstance();

    //$script .= $editor->save( 'description' );
    $script .= '
        Joomla.submitform(pressbutton);
	}';

	JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
?>
<?php JText::_('ADSMANAGER_CATEGORY_EDITION'); ?>
<form action="index.php" method="post" name="adminForm" id="adminForm" class="adminForm" enctype="multipart/form-data">
<div class="adminlist">

<div class="mb-3 row">
    <div class="col">
        <label><?php echo JText::_('ADSMANAGER_TH_TITLE'); ?></label>
    </div>
    <div class="col col-8">
        <input class="form-control" type="text" size="50"  name="name" value="<?php echo @$this->row->name; ?>" />
    </div>
</div>

<div class="mb-3 row">
    <div class="col">
        <label><?php echo JText::_('ADSMANAGER_TH_PARENT'); ?></label>
    </div>
    <div class="col col-8">
        <select class="form-select" name="parent" id="parent">
            <option value="0"><?php echo JText::_('ADSMANAGER_ROOT'); ?></option>
            <?php $this->selectCategories(0,"Root >> ",$this->cats,@$this->row->parent,@$this->row->id); ?>
        </select>
    </div>
</div>

<div class="mb-3 row">
    <div class="col">
    <label><?php echo JText::_('ADSMANAGER_TH_IMAGE'); ?></label>
    </div>

<div class="col col-8">
<input type="file" name="cat_image"/>
<?php 
   $a_pic = JPATH_ROOT."/images/com_adsmanager/categories/".@$this->row->id."cat.jpg";
   if (file_exists($a_pic)) 
   {
     echo '<img src="../images/com_adsmanager/categories/'.@$this->row->id.'cat.jpg?time='.time().'"/>';
     echo "<input type='checkbox' name='cb_image' value='delete'>".JText::_('ADSMANAGER_CONTENT_DELETE_IMAGE');
   }
?>

</div>

</div>
<div class="mb-3 row">
    <div class="col">
    <label><?php echo JText::_('ADSMANAGER_TH_DESCRIPTION'); ?><label>
    </div>
    <div class="col col-8">
    <?php
    $editor = JEditor::getInstance();
    echo $editor->display('description', @$this->row->description, '100%','350', 75, 20);
    ?>	
    </div>		
</div>

<?php if ($this->config->metadata_mode != 'nometadata') { ?>
<div class="mb-3 row">
    <div class="col">
    <label><?php echo JText::_('ADSMANAGER_METADATA_DESCRIPTION'); ?></label>
    </div>

    <div class="col col-8">
    <textarea class="form-control" cols="50" rows="10" name="metadata_description"><?php echo htmlspecialchars(@$this->row->metadata_description)?></textarea>			

    </div>

</div>
<div class="mb-3 row">
    <div class="col">
        <label><?php echo JText::_('ADSMANAGER_METADATA_KEYWORDS'); ?></label>
    </div>
    <div class="col col-8">
        <textarea class="form-control"cols="50" rows="10" name="metadata_keywords"><?php echo htmlspecialchars(@$this->row->metadata_keywords)?></textarea>			
    </div>
</div>
<?php } ?>


<div class="mb-3 row">
    <div class="col">
    <label><?php echo JText::_('ADSMANAGER_TH_LIMIT_ADS'); ?></label>
    </div>

    <div class="col col-8">

    <?php $limitads = (@$this->row->limitads != "") ? $this->row->limitads : -1;?>
        <input class="form-control" type="text" size="50"  name="limitads" value="<?php echo $limitads ?>" />
    </div>
</div>

<div class="mb-3 row">
    <div class="col">
    <label><?php echo JText::_('ADSMANAGER_TH_PUBLISH'); ?></label>
    </div>

    <div class="col col-8">
    <select class="form-select" name="categoryPublished" id="categoryPublished">
            <option value="1" <?php if (@$this->row->published == 1) { echo "selected"; } ?>><?php echo JText::_('ADSMANAGER_PUBLISH'); ?></option>
            <option value="0" <?php if (@$this->row->published == 0) { echo "selected"; } ?>><?php echo JText::_('ADSMANAGER_NO_PUBLISH') ?></option>
        </select>
    </div>
</div>

<?php if(version_compare(JVERSION, '1.6', 'ge')) { ?>
<div class="mb-3 row">
    <div class="col">
    <label><?php echo JText::_('ADSMANAGER_TH_ACL_READ'); ?></label>
    </div>

    <div class="col col-8">
    <?php
        echo \Juloa\Adsmanager\Site\Helpers\JHTMLAdsmanagerUserGroups::getUserGroups('usergroupsread[]', empty($this->row->usergroupsread) ? '-1' : explode(',', $this->row->usergroupsread), array('multiple' => 'multiple', 'size' => 10));
    ?>

    <p class="aside-desc">
        <?php echo JText::_('ADSMANAGER_ACL_DESC'); ?>
    </p>
    </div>
</div>

<div class="mb-3 row">
    <div class="col">
    <label><?php echo JText::_('ADSMANAGER_TH_ACL_WRITE'); ?></label>
    </div>

    <div class="col col-8">
    <?php
        echo \Juloa\Adsmanager\Site\Helpers\JHTMLAdsmanagerUserGroups::getUserGroups('usergroupswrite[]', empty($this->row->usergroupswrite) ? '-1' : explode(',', $this->row->usergroupswrite), array('multiple' => 'multiple', 'size' => 10));
    ?>
     <p class="aside-desc">
        <?php echo JText::_('ADSMANAGER_ACL_DESC'); ?>
    </p>
    </div>

</div>
<?php } ?>
</div>
<input type="hidden" name="id" value="<?php echo @$this->row->id; ?>" />
<input type="hidden" name="option" value="com_adsmanager" />
<input type="hidden" name="c" value="categories" />
<input type="hidden" name="task" value="" />
</form>