<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();
use Joomla\CMS\Button\PublishedButton;
?>
<form action="index.php" method="post" name="adminForm" id="adminForm">

<div class="row adminForm-search-bar">
	<div class="col">
			<select class="form-select" name="catid" id="catid" onchange="document.adminForm.submit();">
				<option value="0" <?php if (!isset($this->cat)) echo "selected"; ?>><?php echo JText::_('ADSMANAGER_MENU_ALL_ADS'); ?></option>
				<?php $this->selectCategories(0,"",$this->cats,$this->cat,-1); ?>
			</select>
	</div>

	<?php if (ADSMANAGER_SPECIAL == "newspaper") {?>
							<div class="col">
								<select class="form-select" name="filteronline" id="filteronline" onchange="document.adminForm.submit();">
									<option value="" <?php if ($this->filteronline == "") echo "selected='selected'"; ?>>
										<?php echo ""; ?>
									</option>
									<option value="1" <?php if ($this->filteronline == "1") echo "selected='selected'"; ?>>
										<?php echo JText::_('Online'); ?>
									</option>
									<option value="0" <?php if ($this->filteronline == "0") echo "selected='selected'"; ?>>
										<?php echo JText::_('Offline'); ?>
									</option>
								</select>
							</div>
							<div class="col">
								<select class="form-select" name="filtermag" id="filtermag" onchange="document.adminForm.submit();">
									<option value="" <?php if ($this->filtermag == "") echo "selected='selected'"; ?>></option>
									<?php foreach($this->mags as $mag) { ?>
										<option value="<?php echo $mag->value ?>" <?php if ($this->filtermag == $mag->value) echo "selected='selected'"; ?>><?php echo $mag->name ?></option>
									<?php } ?>
								</select>
							</div>
	<?php } ?>

	<?php if ((ADSMANAGER_SPECIAL == "newspaper")|| (ADSMANAGER_SPECIAL == "thiago")){?>
							<div class="col">
								<input class="form-control" type="text" name="filterphone" value="<?php echo htmlspecialchars( $this->filterphone );?>" 
								onChange="document.adminForm.submit();" placeholder="<?php echo JText::_('Phone')?>" />
							</div>
						<?php } ?>


						<?php if (ADSMANAGER_SPECIAL == "thiago"){?>
							<div class="col">
								<input class="form-control"  type="text" name="filterip" value="<?php echo htmlspecialchars( $this->filterip );?>" c
								onChange="document.adminForm.submit();" placeholder="<?php echo JText::_('Ip')?>"/>
							</div>
	<?php } ?>

	<div class="col">
		<select class="form-select" name="filterpublish" id="filterpublish" onchange="document.adminForm.submit();" placeholder="<?php echo JText::_('ADSMANAGER_PUBLISH'); ?>">
							<option value="" <?php if ($this->filterpublish == "") echo "selected='selected'"; ?>>
								<?php echo ""; ?>
							</option>
							<option value="1" <?php if ($this->filterpublish == "1") echo "selected='selected'"; ?>>
								<?php echo JText::_('ADSMANAGER_PUBLISH'); ?>
							</option>
							<option value="0" <?php if ($this->filterpublish == "0") echo "selected='selected'"; ?>>
								<?php echo JText::_('ADSMANAGER_NO_PUBLISH'); ?>
							</option>
		</select>
	</div>

	<div class="col">
				
						<input class="form-control"  type="text" name="search" value="<?php echo htmlspecialchars( $this->search );?>" 
						onChange="document.adminForm.submit();" placeholder="<?php echo JText::_('ADSMANAGER_TH_USER')?>" />
					</div>
			
					<div class="col">
						<input class="form-control" type="text" name="content_id" value="<?php echo htmlspecialchars( $this->content_id );?>" 
						onChange="document.adminForm.submit();" placeholder="<?php echo JText::_('Id')?>"/>
					</div>



						<?php if(version_compare(JVERSION, '3.0', 'ge')) { ?>
							<div class="col col-auto">
								<?php echo $this->pagination->getLimitBox(); ?>
							</div>
						<?php } ?>
</div>

<table class="adminlist table table-striped">
<thead>
<tr>
    <?php if (version_compare(JVERSION,'2.5.0','>=')) { ?>
    <th width="3%" class="hidden-phone"> <input type="checkbox" class="form-check-input" name="toggle" value="" onClick="Joomla.checkAll(this);" />
    <?php } else { ?>
    <th width="3%" class="hidden-phone"> <input type="checkbox" class="form-check-input" name="toggle" value="" onClick="checkAll(<?php echo count($this->contents); ?>);" />
    <?php } ?>
	<th class="title hidden-phone" width="5%"><?php echo JHTML::_('grid.sort',JText::_('Id'),'a.id',@$this->lists['order_Dir'], @$this->lists['order'] );?></th>
	<th class="title" width="20%">
		<?php echo JHTML::_('grid.sort',JText::_('ADSMANAGER_TH_TITLE'), 'a.ad_headline', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
	</th>
	<th class="title" width="5%">
		<?php echo JHTML::_('grid.sort',JText::_('ADSMANAGER_TH_PUBLISH'), 'a.published', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
	</th>
	<th class="title hidden-phone" width="30%">
		<?php echo JText::_('ADSMANAGER_TH_IMAGE');?>
	</th>
	<?php if (ADSMANAGER_SPECIAL == "newspaper") {?>
	<th class="title" width="10%">
		Cells
	</th>
	<th class="title" width="10%">
		Mag
	</th>
	<th class="title" width="10%">
		Phone
	</th>
	<?php } ?>
	<?php if (ADSMANAGER_SPECIAL == "thiago"){?>
	<th class="title" width="10%">
		Ip
	</th>
	<?php } ?>
	<th class="title" width="10%">
		<?php echo JHTML::_('grid.sort',JText::_('ADSMANAGER_TH_USER'), 'user', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
	</th>
	<th class="title" width="10%">
		<?php echo JHTML::_('grid.sort',JText::_('ADSMANAGER_TH_CATEGORY'), 'c.id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
	</th>
	<th class="title" width="10%">
		<?php echo JHTML::_('grid.sort',JText::_('ADSMANAGER_TH_DATE'), 'a.date_created', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
	</th>
	<th class="title" width="10%">
		<?php echo JHTML::_('grid.sort',JText::_('ADSMANAGER_TH_EXPIRATION_DATE'), 'a.expiration_date', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
	</th> 
</tr>
</thead>
<tbody>

<?php
	$k = 0;
	for($i=0; $i < count( $this->contents ); $i++) {
	$content = $this->contents[$i];

	//TODO OUTROUVER
	/*if ($content->ad_headline == null) {
		
 		$pending = $this->getModel("Content")->getPendingContent($content->id);
		if ($pending != null)
			$content = $pending;
		$content->pending = 1;
	} else {
		var_dump($content->ad_headline);
	}*/
    ?>
     <tr class="row<?php echo $k; ?>">
	<td class="hidden-phone"><input class="form-check-input" type="checkbox" id="cb<?php echo $i;?>" name="cid[]" value="<?php echo $content->id; ?>" onclick="isChecked(this.checked);" /></td>

	<td class="hidden-phone"><a href="<?php echo "index.php?option=com_adsmanager&c=contents&task=edit&id=".$content->id ?>"><?php echo $content->id; ?></a></td>
	<td>
	<a href="<?php echo "index.php?option=com_adsmanager&c=contents&task=edit&id=".$content->id ?>"><?php echo $content->ad_headline; ?></a>
	<?php if (@$content->pending == 1) { 
	/*echo "(En attente de paiement)";*/
	} ?>
	</td>
	<td align='center'>
		<?php 
			$options = [
				'disabled' => false,
				'id' => $content->id
			];

			echo (new PublishedButton)->render((int) $content->published, $i, $options); 
		?>
	</td>
	<td class="hidden-phone">
	<?php
	foreach($content->images as $img) {
		echo "<img width='50' height='50' src='".JURI_IMAGES_FOLDER."/".$img->thumbnail."?time=".time()."'>";
		echo '&nbsp;';  
	}
	?>
	</td>
	<?php if (ADSMANAGER_SPECIAL == "newspaper") {?>
	<td>
	<?php echo $content->ad_celltype ?>
	</td>
	<td>
	<?php echo $content->ad_magazine ?>
	</td>
	<td>
	<?php echo $content->ad_phone." ".$content->ad_phone2 ?>
	</td>
	<?php } ?>
	<?php if (ADSMANAGER_SPECIAL == "thiago"){?>
	<td>
	<?php echo $content->ad_ip ?>
	</td>
	<?php } ?>
	<td>
	<?php $target = TRoute::_($this->baseurl."index.php?option=com_adsmanager&view=list&user=".$content->userid);
	       
	       echo "<a target='_blank' href='$target'>".$content->user."</a>"; ?>	
	
	
</td>
	<td><?php echo '<a href="index.php?option=com_adsmanager&c=contents&catid='.$content->catid.'">'.$content->cat.'</a>'; ?></td>
	<td><?php echo $content->date_created; ?></td>
	<td><?php echo $content->expiration_date; ?></td>
	</tr>
<?php
	$k++;
	if ($k==2)
		$k = 0;
	} 

?>
</tbody>
<tfoot>
	<tr>
		<td colspan="9">
			<?php echo $this->pagination->getListFooter(); ?>
		</td>
	</tr>
</tfoot>
</table>
<input type="hidden" name="option" value="com_adsmanager" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="c" value="contents" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
<?php echo JHTML::_( 'form.token' ); ?>  
</form> 
