<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();

if (!isset($this->conf->simple_fields)) {
	$this->conf->simple_fields = array();
	$this->conf->advanced_fields = array();
}
?>
<style>

	.column { float:left;width:30%; margin-right: 10px;}
	.column h2 { text-align:center;}
	.ui-state-highlight { height: 1.5em; line-height: 1.2em; }

	.fieldsarea {
	  border: 1px solid #CBCBCB;
	  font-size: 12px !important;
	  margin-top: 30px;
	  padding: 15px 5px 5px;
	}
	.fieldsarea .title {
		background-color: #EDEDED;
		border: 1px solid #CBCBCB;
		font-weight: bold;
		left: 10px;
		position: relative;
		margin-top: -30px;
		display: block;
		width: 50%;
		margin-bottom: 12px;
		padding: 4px 8px;
	}
	.connectedSortable {
	  background-color: #EEDDFF;
	  list-style-type: none;
	  margin: 10px 0 0;
	  padding: 5px;
	  list-style-type: none;
	  width: 100%;
	  min-height:400px;
	}
	.connectedSortable li { 
		margin: 0 5px 5px 5px; padding: 5px; font-size: 10px; 
	}
	.left-60{
		margin-left: 60px;
	}
</style>


<form action="index.php" method="post" name="adminForm" id="adminForm">
<div>
<div class="column">
<h2>All Fields</h2>
	<ul id="fields" class="connectedSortable">
	<?php foreach($this->fields as $field) {?>
	<li class='ui-state-default' id="<?php echo $field->fieldid?>"><?php echo JText::_($field->title)." (".$field->name." ".$field->fieldid.")" ?></li>
	<?php } ?>
	</ul>
</div>

<div class="column left-60">
<div class="fieldsarea">
					<span class="title">Simple Search</span>
					<ul id="simplesearch" class="connectedSortable">
					</ul>
					<input type="hidden" id="simple_fields" name="params_simple_fields" value="" />	
				</div>
</div> 


<div class="column">
	<div class="fieldsarea">
						<span class="title">Advanced Search</span>
						<ul id="advancedsearch" class="connectedSortable">
						</ul>
						<input type="hidden" id="advanced_fields" name="params_advanced_fields" value="" />
					</div>
	</div> 
</div>

<div style="clear:both"></div>
</div>

<input type="hidden" name="option" value="com_adsmanager" />

<input type="hidden" name="task" value="" />

<input type="hidden" name="id" value="<?php echo $this->conf->id ?>" />

<input type="hidden" name="c" value="searchmodule" />
</form>
<?php
	$script = '
	jQ(function() {
		jQ( "#fields" ).sortable({
			connectWith: ".connectedSortable",
			placeholder: "ui-state-highlight",
		}).disableSelection();
		jQ( "#simplesearch" ).sortable({
			connectWith: ".connectedSortable",
			placeholder: "ui-state-highlight",
			update: function() {
				list = jQ(this).sortable(\'toArray\');
				jQ(\'#simple_fields\').val(list.join(\',\'));
			}
		}).disableSelection();
		jQ( "#advancedsearch" ).sortable({
			connectWith: ".connectedSortable",
			placeholder: "ui-state-highlight",
			update: function() {
				list = jQ(this).sortable(\'toArray\');
				jQ(\'#advanced_fields\').val(list.join(\',\'));
			}
		}).disableSelection();
	';

	$appendScript = '';
	foreach($this->conf->simple_fields as $f) {
		$appendScript .= 'jQ(\'#'.$f.'\').appendTo(\'#simplesearch\');';	
	}
	foreach($this->conf->advanced_fields as $f) {
		$appendScript .= 'jQ(\'#'.$f.'\').appendTo(\'#advancedsearch\');';	
	}

	$appendScript .= '
		list = jQ("#advancedsearch").sortable(\'toArray\');
		jQ(\'#advanced_fields\').val(list.join(\',\'));
		list = jQ("#simplesearch").sortable(\'toArray\');
		jQ(\'#simple_fields\').val(list.join(\',\'));';

	$appendScript .= '});';

	$script .= $appendScript;
	
	JFactory::getApplication()->getDocument()->addScriptDeclaration($script);