<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

use Joomla\String\StringHelper as JString;
?>
<div class="juloawrapper">
<?php
$conf= $this->conf;
?>

<div class="row-fluid">
	<div class="span12">
		<?php $this->general->showGeneralLink() ?>
	</div>
</div>


<div class="row-fluid">
    <h2>
        <?php echo JText::_('ADSMANAGER_TITLE_FAVORITE');?>
    </h2>
</div>
<script language="JavaScript" type="text/JavaScript">
<!--
function jumpmenu(target,obj){
  eval(target+".location='"+obj.options[obj.selectedIndex].value+"'");	
  obj.options[obj.selectedIndex].innerHTML="<?php echo JText::_('ADSMANAGER_WAIT');?>";			
}		

jQ(function() {
	jQ('#order').change(function() {
		order = jQ(this).val();
		orderdir = jQ(":selected",this).attr('dir');
		var form= document.createElement('form');
        form.method= 'post';
        form.action= '<?php echo TLink::getMyFavoritesLink() ?>';  
        var input= document.createElement('input');
        input.type= 'hidden';
        input.name= "order";
        input.value= order;
        form.appendChild(input);
        var input2= document.createElement('input');
        input2.type= 'hidden';
        input2.name= "orderdir";
        input2.value= orderdir;
        form.appendChild(input2);
    	document.body.appendChild(form);
    	form.submit();
	});
});
//-->
</script>

<?php if (($conf->display_list_sort == 1)||($conf->display_list_search == 1)) { ?>
	<div class="row">
	
			<?php if ($conf->display_list_search == 1) { ?>
				<div class="col">
					<form action="<?php echo TLink::getMyFavoritesLink() ?>" method="post">
					
							<input class="form-control" name="tsearch" id="tsearch" placeholder="<?php echo JText::_('ADSMANAGER_LIST_SEARCH'); ?>" maxlength="20" alt="search" type="text" size="20" value="<?php echo $this->tsearch;?>"  onblur="if(this.value=='') this.value='';" onfocus="if(this.value=='<?php echo $this->tsearch;?>') this.value='';" />
				
					</form> 
				</div>
	<?php } ?>
	<?php if ($conf->display_list_sort == 1) { ?>
		<?php if (isset($this->orders)) { ?>
		
        <div class="col col-auto ms-3 text-right mb-3">
			<div class="row">
				<div class="col col-auto d-flex align-items-center">
					<label><?php echo JText::_('ADSMANAGER_ORDER_BY_TEXT'); ?></label>
				</div>
				<div class="col">
					<select class="form-select" name="order" size="1" id="order">
						<option value="0" dir="DESC" <?php if ($this->order == "0") { echo "selected='selected'"; } ?>><?php echo JText::_('ADSMANAGER_DATE'); ?></option>
						<?php foreach($this->orders as $o)
						{
							?>
							<option value="<?php echo $o->fieldid ?>" dir="DESC" <?php if (($this->orderdir == "DESC") && ($this->order == $o->fieldid)) { echo "selected='selected'"; } ?>><?php echo sprintf(JText::_('ADSMANAGER_ORDER_BY_DESC'),JText::_($o->title))?></option>
							<option value="<?php echo $o->fieldid ?>" dir="ASC" <?php if (($this->orderdir == "ASC") && ($this->order == $o->fieldid)) { echo "selected='selected'"; } ?>><?php echo sprintf(JText::_('ADSMANAGER_ORDER_BY_ASC'),JText::_($o->title))?></option>
							<?php
						}
						?>
					</select>
				</div>
			</div>
		
			
        </div>
		<?php } ?>	
	<?php } ?>		  

</div>
<?php } ?>

<?php
if ($this->pagination->total == 0 ) 
{
	echo JText::_('ADSMANAGER_NOENTRIES'); 
}
else
{
	?>
    <div>
		<div class="ads-table" style="clear:both">
			<div class="card-body ads-table-header bg-light">
                <div class="row">
                    <div class="col col-4"><strong><?php echo JText::_('ADSMANAGER_CONTENT'); ?></strong></div>
                    <div class="col hidden-phone"><strong><?php echo JText::_('ADSMANAGER_INFO'); ?></strong></div>
                    <div class="col col-6 hidden-phone text-right"><strong><?php echo JText::_('ADSMANAGER_ACTIONS'); ?></strong></div>
                </div>
            </div>

			<?php
        foreach($this->contents as $content) 
        {
			$linkTarget = TRoute::_( "index.php?option=com_adsmanager&view=details&id=".$content->id."&catid=".$content->catid);

            ?>   
            <div class="card mb-3">

            <div class="card-body"> 
            <div class="row"> 
            	<div class="col col-4 column_desc"> 
                    <h4 class="no-margin-top card-title">
                        <?php echo '<a href="'.$linkTarget.'">'.$content->ad_headline.'</a>'; ?>
                    </h4>
					<?php
					if (isset($content->images[0])) {
                            echo "<a href='".$linkTarget."'><img class='fad-image' name='ad-image".$content->id."' src='".JURI_IMAGES_FOLDER."/".$content->images[0]->thumbnail."' alt=\"".htmlspecialchars($content->ad_headline)."\" /></a>";
					} else  {
                            echo "<a href='".$linkTarget."'><img class='fad-image' src='".ADSMANAGER_NOPIC_IMG."' alt='nopic' /></a>";
					}
					?>
             	</div>

			 	<div class="col hidden-phone">
			 		<?php 	
						echo '<span class="icon icon-clock"></span> '.$this->reorderDate($content->date_created);
					?>
					<br />
					<?php
                    if ($content->userid != 0){
                    	$target = TLink::getUserAdsLink($content->userid);
						if ($conf->display_fullname == 1)
						echo "<a href='".$target."'><span class='icon icon-user'></span> ".JText::_('ADSMANAGER_FROM').$content->fullname."</a><br/>";
						else
						echo "<a href='".$target."'><span class='icon icon-user'></span> ".JText::_('ADSMANAGER_FROM').$content->user."</a><br/>";
	
                    }
                    ?>
					<br />   
					 <?php echo '<span class="icon icon-eye"></span> '.sprintf(JText::_('ADSMANAGER_VIEWS'),$content->views); ?>
				 </div>
		
                <div class="col col-6 hidden-phone">
					<div class="float-end">
						<?php
							$target = TRoute::_( "index.php?option=com_adsmanager&view=details&id=".$content->id."&catid=".$content->catid);
							echo " <a class='btn btn-sm btn-outline-primary' href='".$target."'><span class='icon icon-eye'></span> ".JText::_('ADSMANAGER_CONTENT_OPEN_AD')."</a> ";
							$target = TRoute::_("index.php?option=com_adsmanager&task=deletefavorite&catid=".$content->catid."&id=$content->id");
							echo " <a class='btn btn-sm btn-outline-secondary' onclick='return confirm(\"".htmlspecialchars(JText::_('ADSMANAGER_CONFIRM_DELETE_FAVORITE'),ENT_QUOTES)."\")' href='".$target."'><span class='icon icon-heart'></span> ".JText::_('ADSMANAGER_CONTENT_DELETE_FAVORITE')."</a> ";
						?>  
					</div>	
                </div>
            </div>

        </div>

        
        <div class="card-footer">
                <span class="adsmanager-cat"><?php echo "(".$content->parent." / ".$content->cat.")"; ?></span>
                 <p class="mb-0">
                        <?php 
                        $content->ad_text = str_replace ('<br />'," ",$content->ad_text);
                            $af_text = JString::substr($content->ad_text, 0, 100);
                            if (strlen($content->ad_text)>100) {
                                $af_text .= "(...)";
                            }
                        echo $af_text;
                    ?>
                    </p>
            </div>
        </div>
    <?php	
    }
    ?>
		</div>
    </div>
    <div class="row-fluid">
        <div class="span12">
            <?php echo $this->pagination->getPagesLinks(); ?>
        </div>
    </div>
    <div class="row-fluid">
        <div class="span12">
            <?php echo $this->pagination->getResultsCounter() ?>
        </div>
    </div>
<?php 
} $this->general->endTemplate();
?>
</div>