<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
// no direct access
defined('_JEXEC') or die( 'Restricted access' );
	
require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");

require_once(JPATH_BASE.'/administrator/components/com_adsmanager/models/configuration.php');
require_once(JPATH_BASE.'/administrator/components/com_adsmanager/models/content.php');
require_once(JPATH_BASE.'/administrator/components/com_adsmanager/models/field.php');
require_once(JPATH_BASE.'/administrator/components/com_adsmanager/models/user.php');
require_once(JPATH_BASE."/components/com_adsmanager/helpers/field.php");

$uri = JUri::getInstance();
$baseurl = JURI::base();
$document = JFactory::getDocument();
$app = JFactory::getApplication();
loadAdsManagerCss();

$document = JFactory::getDocument();

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));
$fieldSelected = htmlspecialchars($params->get('vector_field'));
$heightParam = htmlspecialchars($params->get('vectormap_height', '600'));

if($fieldSelected == '') {
	echo 'You need to select a field in the module setting.';
	exit;
}

$db = JFactory::getDbo();

$db->setQuery("SELECT * FROM #__adsmanager_fields WHERE name = '".$fieldSelected."'"  );
$field = $db-> loadObject();
$field->options = json_decode($field->options);

if(isset($field->options->regionbackgroundcolor) && $field->options->regionbackgroundcolor != '') {
	$backgroundColor = $field->options->regionbackgroundcolor;
} else {
	$backgroundColor = '#FFFFFF';
}
if(isset($field->options->regioncolor) && $field->options->regioncolor != '') {
	$regionColor = $field->options->regioncolor;
} else {
	$regionColor = '#505050';
}
if(isset($field->options->regioncolorhover) && $field->options->regioncolorhover != '') {
	$regionColorHover = $field->options->regioncolorhover;
} else {
	$regionColorHover = '#BBBBBB';
}
if(isset($field->options->regioncolorselected) && $field->options->regioncolorselected != '') {
	$regionColorSelected = $field->options->regioncolorselected;
} else {
	$regionColorSelected = '#FFFF00';
}

require(JModuleHelper::getLayoutPath('mod_adsmanager_vectormap',$params->get( 'layout','default')));

$content="";
$path = JPATH_ADMINISTRATOR.'/../libraries/joomla/database/table';
JTable::addIncludePath($path);

?>